/**
 * Make a root css var of the masthead
 */
export const main_masthead = ($) => {
    // When the window resizes
    $(window).on('resize', function () {

        var wpAdminBar = $('#wpadminbar').outerHeight();
        var mastHeight = $('#masthead').outerHeight();

        var mastHeadHeight = mastHeight;
        if (wpAdminBar) {
            mastHeadHeight = mastHeight + wpAdminBar;
        }

        if (mastHeadHeight) {
            $(':root').css('--masthead-height', mastHeadHeight + 'px');
        }
    });

    // Trigger the function on document load.
    $(window).trigger('resize');
}