/**
 * Adds the option to add a Coupon to the WooCommerce Cart.
 * SlideToggle the Add Button on KeyUp.
 */
export const cart_coupon = ($) => {
    var acc = document.getElementsByClassName("woo-coupon-accordion");
    var i;

    for (i = 0; i < acc.length; i++) {
        acc[i].addEventListener("click", function () {
            /* Toggle between adding and removing the "active" class,
            to highlight the button that controls the panel */
            this.classList.toggle("active");

            /* Toggle between hiding and showing the active panel */
            var panel = this.nextElementSibling;
            $(panel).slideToggle();
        });
    }

    // Slide Button Down/Up on KeyUp
    var couponBtn = $(".woo-coupon-button");
    $('.woo-coupon-input').keyup(function () {
        if ($('.woo-coupon-input').val()) {
            $(couponBtn).slideDown();
        } else {
            $(couponBtn).slideUp();
        }
    });
}