/**
 * Single image carousel
 */
export const single_image_carousel = ($) => {

    const galleryThumbs = new Swiper('.ysp-woo-gallery-thumbs', {
        spaceBetween: 20,
        slidesPerView: 4,
        freeMode: true,
        watchSlidesVisibility: true,
        watchSlidesProgress: true,
    });

    const galleryTop = new Swiper('.ysp-woo-gallery-main', {
        spaceBetween: 20,
        navigation: {
            nextEl: '.swiper-button-next',
            prevEl: '.swiper-button-prev',
        },
        thumbs: {
            swiper: galleryThumbs
        }
    });

    if ($.fn.fancybox) {
        // $('[data-fancybox="ysp-woo-product-gallery"]').fancybox();
    }
}