<?php
/**
 * Yourstyle Plus Child Theme.
 */

/***************************************
    # DEFINE CONSTANTS
****************************************/

/**
 * Child Theme Text Domain
 */
define('YSP_CHILD_TEXT_DOMAIN', 'yourstyle-plus-child' );
define( 'STYLESHEET_DIR', get_stylesheet_directory() );
define( 'STYLESHEET_URI', get_stylesheet_directory_uri() );

// Load translation files from your child theme instead of the parent theme
function ysp_load_child_theme_textdomain() {
    load_child_theme_textdomain( 'yourstyle-plus-child', get_stylesheet_directory() . '/languages' );
}
add_action( 'after_setup_theme', 'ysp_load_child_theme_textdomain' );


/***************************************
    # Remove Parent Functions
****************************************/

// add_action('after_setup_theme', 'ysp_remove_parent_functions', 11);
function ysp_remove_parent_functions()
{
    // remove_action( 'ysp_site_branding', 'ysp_site_branding_logo' );      // Remove Site Branding Logo
    // remove_action( 'ysp_site_navigation', 'ysp_site_main_navigation' );  // Remove Site Main Navigation
    // remove_action( 'ysp_after_header', 'ysp_hang_navigation' );          // Remove Hang Nav
    // remove_action( 'ysp_after_footer', 'ysp_mobile_nav' );               // Remove Mobile Nav
    // remove_action( 'wp_footer', 'ysp_mobile_nav_mask' );                 // Remove Mobile Nav Mask
    // remove_action( 'wp_enqueue_scripts', 'ysp_scripts' );                // Remove Theme Scripts
}


/***************************************
    # Child Theme Setup
****************************************/

// add_action( 'after_setup_theme', 'ysp_child_theme_setup');
function ysp_child_theme_setup()
{
    // Some Custom Child Theme Setup Functions Here
}


/***************************************
    # Child Scripts and Styles
****************************************/

// add_action( 'wp_enqueue_scripts', 'ysp_child_styles_and_scripts' );
function ysp_child_styles_and_scripts()
{
    // Some Custom Styles and Scripts
}